# pr3287 Build and Install Instructions

To build pr3287, type:

        ./configure
        make

To install pr3287 in the default install directory (`/usr/local/bin`), type:

        make install

## Notes for Solaris 2.x and Sun's C Compiler

Do not use Sun's BSD-compatibility compiler, `/usr/ucb/cc`. This is good advice in general, but in particular, pr3287 will not build with it. You should have a directory containing `gcc` (recommended) or Sun's standard compiler in your $PATH ahead of `/usr/ucb`.

## Building on FreeBSD

FreeBSD's iconv library is installed in `/usr/local`, so the the following options must be passed to the `configure` script:

           ./configure LDFLAGS=-L/usr/local/lib CPPFLAGS=-I/usr/local/include

## Summary of `configure` Options

The pr3287 `configure` script accepts the following options:

`--help` | Print a help message.
`--prefix=prefix` | Install architecture-independent files (man pages) under prefix (defaults to `/usr/local`)
`--exec-prefix=eprefix` | Install architecture-dependent files (executables) under eprefix (defaults to same as prefix)
`--bindir=dir` | Install user executables (pr3287) in dir (defaults to eprefix`/bin`)
`--disable-ssl` | Leave out SSL (Secure Sockets Layer) support. SSL support requires the OpenSSL library.
`--with-ssl=dir` | Specify the directory where the OpenSSL library is installed.